### Function

# Soup get_major_version

#### Declaration [src]

    guint
    soup_get_major_version (
      void
    )

#### Description [src]

Returns the major version number of the libsoup library.

e.g. in libsoup version 2.42.0 this is 2.

This function is in the library, so it represents the libsoup library your code is running against. Contrast with the #SOUP_MAJOR_VERSION macro, which represents the major version of the libsoup headers you have included when compiling your code.

#### Return value

Type: `guint`

The major version number of the libsoup library.